## libopenobex 1.5

=== doc/CMakeLists.txt ===

add_custom_target ( doc )

set ( SOURCES
  "${CMAKE_SOURCE_DIR}/lib/obex.c"
  "${CMAKE_SOURCE_DIR}/include/openobex/obex.h"
  "${CMAKE_SOURCE_DIR}/include/openobex/obex_const.h"
  "${CMAKE_SOURCE_DIR}/doc/openobex.coverpage"
)

find_package( Doxygen )
if ( DOXYGEN_FOUND )
  string ( REPLACE ";" " " DOC_SOURCE_FILES "${SOURCES}" )
  set ( DOC_VERSION ${SHORT_VERSION} )
  set ( DOC_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} )
  set ( DOC_OUTPUT_TYPES
    HTML
    LATEX
  )
  set ( DOC_HTML_OUTPUT_FILE "index.html" )
  set ( DOC_LATEX_OUTPUT_FILE "refman.tex" )

  foreach ( type ${DOC_OUTPUT_TYPES} )
    foreach ( i ${DOC_OUTPUT_TYPES} )
      set ( DOC_${i}_OUTPUT "NO" )
    endforeach ( i )
    set ( DOC_${type}_OUTPUT "YES" )
    configure_file (
      ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
      ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_${type}
      @ONLY
    )
    if ( DOC_${type}_OUTPUT_FILE )
      string ( TOLOWER "${type}" type_low )
      set ( DOC_${type}_OUTPUT_FILE_ABS "${CMAKE_CURRENT_BINARY_DIR}/${type_low}/${DOC_${type}_OUTPUT_FILE}" )

      add_custom_command ( OUTPUT "${DOC_${type}_OUTPUT_FILE_ABS}"
          COMMAND "${DOXYGEN_EXECUTABLE}" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_${type}"
          DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" ${SOURCES}
          VERBATIM
      )

      add_custom_target ( apidoc_${type_low} DEPENDS ${DOC_${type}_OUTPUT_FILE_ABS} )
    endif ( DOC_${type}_OUTPUT_FILE )
  endforeach ( type )

  set_directory_properties ( PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "html;latex"
  )
  add_dependencies ( openobex apidoc_html )
  add_dependencies ( doc apidoc_html )

  install ( DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
    DESTINATION ${DOCUMENTATION_INSTALL_DIR}
    COMPONENT documentation
  )
endif ( DOXYGEN_FOUND )

#
# xsltproc is preferred because it creates better output and is faster.
#
# xalan2 can also be used by adding xalan2.jar, xml-apis.jar, xercesImpl.jar
# and maybe docbook saxon extension jar file to the classpath, then runinng
# org.apache.xalan.xslt.Process
# There is also a xalan (1.10) binary of that name that did not work.
#
# Saxon-6.5.5 can also be used by adding saxon.jar to classpath, then running
# com.icl.saxon.StyleSheet
# Debian has wrapper shell scripts for saxon-6.5.5, called saxon-xslt.
# Saxon-B 9.1 did not work, Saxon-SA was not tested.
#
# Sablotron (1.0.3) does not work.
#
find_program ( XSLT_PROCESSOR
  NAMES xsltproc saxon-xslt
  DOC   "XSLT processor command (xsltproc, xalan2 or saxon are usable)"
)
mark_as_advanced ( XSLT_PROCESSOR )

#
# call as XSLT_TRANSFORM(<.xsl file URL> <input file> <output file...>)
#
macro ( XSL_TRANSFORM xslurl infile )
  string ( REPLACE " " ";" XSL_TRANSFORM_COMMAND ${XSLT_PROCESSOR} )
  if ( XSLT_PROCESSOR MATCHES ".*xsltproc.*" )
    list ( APPEND XSL_TRANSFORM_COMMAND
      --param use.id.as.filename 1
      ${xslurl} ${infile}
    )
  elseif ( XSLT_PROCESSOR MATCHES ".*xalan2.*" )
    list ( APPEND XSL_TRANSFORM_COMMAND
      -param use.id.as.filename 1
      -in ${infile} -xsl ${xslurl}
    )
  elseif ( XSLT_PROCESSOR MATCHES ".*saxon.*" )
    list ( APPEND XSL_TRANSFORM_COMMAND
      ${infile} ${xslurl}
      use.id.as.filename=1
    )
  else ( XSLT_PROCESSOR MATCHES ".*xsltproc.*" )
    message ( FATAL_ERROR "Unsupported XSLT processor" )
  endif ( XSLT_PROCESSOR MATCHES ".*xsltproc.*" )
  add_custom_command(
    OUTPUT ${ARGN}
    COMMAND ${XSL_TRANSFORM_COMMAND}
    DEPENDS openobex-apps.xml
    VERBATIM
  )
endmacro ( XSL_TRANSFORM )

if ( XSLT_PROCESSOR )
  if ( UNIX )
    option (BUILD_APPS_HELP_MAN "Build manpage application help files" ON)
    option (BUILD_APPS_HELP_HTML "Build HTML application help files" OFF)
  else ( UNIX )
    option (BUILD_APPS_HELP_HTML "Build HTML application help files" ON)
  endif ( UNIX )

  SET ( DOCBOOK_XSL_PREFIX "http://docbook.sourceforge.net/release/xsl/current"
        CACHE STRING "prefix to locate the docbook-XSL release files" )
  mark_as_advanced ( DOCBOOK_XSL_PREFIX )

  file ( READ "${CMAKE_CURRENT_SOURCE_DIR}/openobex-apps.xml" XML_FILE_CONTENTS )
  string ( REGEX MATCHALL "<refentrytitle>[^<]*" XML_REFENTRYTITLE "${XML_FILE_CONTENTS}" )
  foreach ( file ${XML_REFENTRYTITLE} )
    string ( REGEX REPLACE "^<refentrytitle>" "" file "${file}" )
    string ( REGEX REPLACE "[[:space:]]" "" file "${file}" )
    list ( APPEND XSLT_FILES ${file} )
  endforeach ( file )
  set ( XML_FILE_CONTENTS )
  set ( XML_REFENTRYTITLE )

  if ( BUILD_APPS_HELP_MAN )
    foreach ( file  ${XSLT_FILES} )
      list ( APPEND XSLT_FILES_MAN ${file}.1 )
    endforeach ( file )
    xsl_transform (
      "${DOCBOOK_XSL_PREFIX}/manpages/docbook.xsl"
      "${CMAKE_CURRENT_SOURCE_DIR}/openobex-apps.xml"
      ${XSLT_FILES_MAN}
    )
    foreach ( file ${XSLT_FILES_MAN} )
      list ( APPEND OPENOBEX_HELP_FILES ${file} )
      get_filename_component ( fileExt ${file} EXT )
      string ( REGEX REPLACE "^[.]" "" fileExt ${fileExt} )
      install (
	FILES ${CMAKE_CURRENT_BINARY_DIR}/${file}
	DESTINATION ${MANPAGE_INSTALL_DIR}/man${fileExt}
	PERMISSIONS OWNER_READ OWNER_WRITE
                    GROUP_READ
                    WORLD_READ
        COMPONENT documentation
      )
    endforeach ( file )
  endif ( BUILD_APPS_HELP_MAN )

  if ( BUILD_APPS_HELP_HTML )
    foreach ( file  ${XSLT_FILES} )
      list ( APPEND XSLT_FILES_HTML ${file}.html )
    endforeach ( file )
    list ( APPEND XSLT_FILES_HTML
      ${CMAKE_CURRENT_BINARY_DIR}/index.html
    )
    xsl_transform (
      "${DOCBOOK_XSL_PREFIX}/xhtml/chunk.xsl"
      "${CMAKE_CURRENT_SOURCE_DIR}/openobex-apps.xml"
      ${XSLT_FILES_HTML}
    )
    foreach ( file ${XSLT_FILES_HTML} )
      list ( APPEND OPENOBEX_HELP_FILES ${file} )
      INSTALL (
	FILES ${file}
        DESTINATION ${DOCUMENTATION_INSTALL_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE
                    GROUP_READ
                    WORLD_READ
        COMPONENT documentation
      )
    endforeach ( file )
  endif ( BUILD_APPS_HELP_HTML )

  add_custom_target ( openobex-apps-doc DEPENDS ${OPENOBEX_HELP_FILES} )
  add_dependencies ( openobex-apps openobex-apps-doc )
  add_dependencies ( doc openobex-apps-doc )
endif ( XSLT_PROCESSOR )

=== glib/CMakeLists.txt ===

set ( openobex-glib_VERSION 1.0.0 )
set ( openobex-glib_SOVERSION 0 )

find_package ( Glib REQUIRED object thread)

set ( GENERATED_SOURCES
  obex-marshal.c
  obex-marshal.h
)
set_property ( SOURCE ${GENERATED_SOURCES} PROPERTY
  GENERATED true
)

if ( GLIB_GENMARSHAL_EXECUTABLE )
  add_custom_command (
    OUTPUT            ${CMAKE_CURRENT_BINARY_DIR}/obex-marshal.c
    COMMAND           ${GLIB_GENMARSHAL_EXECUTABLE}
    ARGS              --prefix=obex_marshal obex-marshal.list --body
                      > ${CMAKE_CURRENT_BINARY_DIR}/obex-marshal.c
    MAIN_DEPENDENCY   ${CMAKE_CURRENT_SOURCE_DIR}/obex-marshal.list
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    VERBATIM
  )
  add_custom_command (
    OUTPUT            ${CMAKE_CURRENT_BINARY_DIR}/obex-marshal.h
    COMMAND           ${GLIB_GENMARSHAL_EXECUTABLE}
    ARGS              --prefix=obex_marshal obex-marshal.list --header
                      > ${CMAKE_CURRENT_BINARY_DIR}/obex-marshal.h
    MAIN_DEPENDENCY   ${CMAKE_CURRENT_SOURCE_DIR}/obex-marshal.list
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    VERBATIM
  )

else ( GLIB_GENMARSHAL_EXECUTABLE )
  message ( FATAL_ERROR "glib-genmarshal not found but needed." )
endif ( GLIB_GENMARSHAL_EXECUTABLE )

set ( SOURCES
  obex-client.c
  obex-error.c
  obex-lowlevel.c
  ${GENERATED_SOURCES}
)

set ( HEADERS
  obex-client.h
  obex-debug.h
  obex-error.h
  obex-lowlevel.h
)

set ( openobex-glib_PUBLIC_HEADER
  obex-client.h
)

include_directories (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${Glib_INCLUDE_DIRS}
)

if ( COMPILER_SUPPORT_NOUNDEFINED )
  set ( openobex-glib_LINK_FLAGS
    "${openobex-glib_LINK_FLAGS} ${LINKER_FLAG_NOUNDEFINED}"
  )
endif ( COMPILER_SUPPORT_NOUNDEFINED )

add_library ( openobex-glib
  ${SOURCES}
)

target_link_libraries ( openobex-glib
  ${Glib_LIBRARIES}
  openobex
)

foreach ( i VERSION SOVERSION PUBLIC_HEADER LINK_FLAGS )
  if ( DEFINED openobex-glib_${i} )
    set_property ( TARGET openobex-glib PROPERTY ${i} ${openobex-glib_${i}} )
  endif ( DEFINED openobex-glib_${i} )
endforeach ( i )

set_property ( TARGET openobex-glib PROPERTY
  DEFINE_SYMBOL OPENOBEX_GLIB_EXPORTS
)

if ( WIN32 )
  target_link_libraries ( openobex-glib 
    ws2_32
  )
endif ( WIN32 )

install ( TARGETS openobex-glib
  RUNTIME       DESTINATION bin
  LIBRARY       DESTINATION lib
  ARCHIVE       DESTINATION lib
  PUBLIC_HEADER DESTINATION include/openobex
  COMPONENT bindings
)
install ( FILES ${CMAKE_CURRENT_SOURCE_DIR}/obex-client.h
  DESTINATION include/openobex
  COMPONENT bindings
) 

#
# Copy the .pc file to install it only if the lib gets installed
#
add_custom_command ( TARGET openobex-glib
  COMMAND ${CMAKE_COMMAND}
  ARGS    -E copy_if_different ${CMAKE_BINARY_DIR}/openobex-glib.pc
          ${CMAKE_CURRENT_BINARY_DIR}/openobex-glib.pc
  VERBATIM
)
install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/openobex-glib.pc
  DESTINATION ${PKGCONFIG_INSTALL_DIR}
  OPTIONAL
)



#
# These are some test apps for the library above.
#
set ( openobex-glib_TESTS
  test-client
  test-lowlevel
)
foreach ( prog ${openobex-glib_TESTS} )
  add_executable ( openobex-glib-${prog} EXCLUDE_FROM_ALL
    ${prog}.c
  )
  target_link_libraries ( openobex-glib-${prog}
    openobex-glib
    ${Glib_LIBRARIES}
  )
endforeach ( prog )
add_custom_target ( openobex-glib-tests
  DEPENDS ${openobex-glib_TESTS}
)

=== ircp/CMakeLists.txt ===

if ( UNIX )
  set ( ircp_SOURCES
    debug.h
    dirtraverse.c dirtraverse.h
    ircp.c        ircp.h
    ircp_client.c ircp_client.h
    ircp_io.c     ircp_io.h
    ircp_server.c ircp_server.h
  )

  add_executable ( ircp EXCLUDE_FROM_ALL ${ircp_SOURCES} )
  target_link_libraries ( ircp openobex )
  get_target_property ( ircp_EXECUTABLE ircp LOCATION )
  install ( PROGRAMS ${ircp_EXECUTABLE}
    DESTINATION bin
    COMPONENT applications
    OPTIONAL
  )
  add_dependencies ( openobex-apps ircp )
endif ( UNIX )

=== lib/CMakeLists.txt ===
#
# Main library version and shared object version
#

# this defines supported properties that are set from
# variables of the form openobex_*
set ( openobex_PROPERTIES
  VERSION
  SOVERSION
  PUBLIC_HEADER
  COMPILE_DEFINITIONS
  COMPILE_FLAGS
  LINK_FLAGS
)

# the library version always matches the project version
foreach ( i VERSION VERSION_MAJOR VERSION_MINOR VERSION_PATCH )
  set ( openobex_${i}   "${${i}}" )
endforeach ( i )
# the ABI version, must be increased on incompatible changes
set ( openobex_SOVERSION "1" )


set ( SOURCES
  obex.c
  obex_client.c
  obex_connect.c
  obex_header.c
  obex_main.c
  obex_object.c
  obex_server.c
  obex_transport.c
  databuffer.c
  inobex.c
)

set ( HEADERS
  obex_client.h
  obex_connect.h
  obex_header.h
  obex_main.h
  obex_object.h
  obex_server.h
  obex_transport.h
  databuffer.h
  inobex.h
)

set ( openobex_PUBLIC_HEADER
  ${openobex_INCLUDE_DIRS}/openobex/obex.h
  ${openobex_INCLUDE_DIRS}/openobex/obex_const.h
)

option ( ENABLE_DEBUG_MESSAGES "Enables debug messages printed during runtime" )
if ( ENABLE_DEBUG_MESSAGES )
  list ( APPEND openobex_COMPILE_DEFINITIONS OBEX_DEBUG )
  if ( NOT CMAKE_SYSTEM_NAME STREQUAL "Windows" )
     option ( DEBUG_USE_SYSLOG "Use SysLog facility instead of stderr for debug messages" )
  endif ( NOT CMAKE_SYSTEM_NAME STREQUAL "Windows" )
  if ( DEBUG_USE_SYSLOG )     
    list ( APPEND openobex_COMPILE_DEFINITIONS OBEX_SYSLOG )
  endif ( DEBUG_USE_SYSLOG )     
endif ( ENABLE_DEBUG_MESSAGES )

option ( ENABLE_DUMP_MESSAGES "Enables dumping of data" )
if ( ENABLE_DUMP_MESSAGES )
  list ( APPEND openobex_COMPILE_DEFINITIONS OBEX_DUMP )
endif ( ENABLE_DUMP_MESSAGES )

if ( OPENOBEX_IRDA )
  list ( APPEND SOURCES
    irobex.c
  )
  list ( APPEND HEADERS
    irobex.h
    irda.h
    irda_wrap.h
  )
endif ( OPENOBEX_IRDA )

if ( OPENOBEX_BLUETOOTH )
  list ( APPEND SOURCES
    btobex.c
  )
  list ( APPEND HEADERS
    btobex.h
    bluez_compat.h
  )
endif ( OPENOBEX_BLUETOOTH )

if ( OPENOBEX_USB )
  list ( APPEND openobex_LIBRARIES
    ${LibUSB_LIBRARIES}
  )
  include_directories ( BEFORE SYSTEM ${LibUSB_INCLUDE_DIRS} )
  list ( APPEND SOURCES
    usbobex.c
  )
  list ( APPEND HEADERS
    usbobex.h
  )
endif ( OPENOBEX_USB )

if ( COMPILER_SUPPORT_VISIBILITY )
  list ( APPEND openobex_COMPILE_DEFINITIONS HAVE_VISIBILITY )
  set ( openobex_COMPILE_FLAGS "${openobex_COMPILE_FLAGS} ${COMPILER_FLAG_VISIBILITY}" )
endif ( COMPILER_SUPPORT_VISIBILITY )
if ( COMPILER_SUPPORT_NOUNDEFINED )
  set ( openobex_LINK_FLAGS "${openobex_LINK_FLAGS} ${LINKER_FLAG_NOUNDEFINED}" )
endif ( COMPILER_SUPPORT_NOUNDEFINED )

if ( WIN32 )
  if ( CMAKE_COMPILER_IS_GNUCC )
    set ( openobex_LINK_FLAGS
      "${openobex_LINK_FLAGS} -Wl,--disable-stdcall-fixup -Wl,--add-stdcall-alias"
    )
  endif ( CMAKE_COMPILER_IS_GNUCC )

  list ( APPEND openobex_LIBRARIES
    ws2_32
  )

  if ( CMAKE_RC_COMPILER )
    set ( OPENOBEX_RC_FILE "${CMAKE_CURRENT_BINARY_DIR}/openobex.rc" )
    configure_file (
      "${CMAKE_CURRENT_SOURCE_DIR}/openobex.rc.in"
      "${OPENOBEX_RC_FILE}"
      @ONLY
    )
  endif ( CMAKE_RC_COMPILER )

  if ( MSVC )
    set ( OPENOBEX_DEF_FILE "${CMAKE_CURRENT_BINARY_DIR}/openobex.def" )
    file ( WRITE "${OPENOBEX_DEF_FILE}" "VERSION ${openobex_VERSION_MAJOR}.${openobex_VERSION_MINOR}\n" )
    file ( APPEND "${OPENOBEX_DEF_FILE}" "EXPORTS\n" )
    file ( READ "${CMAKE_CURRENT_SOURCE_DIR}/obex.sym" OPENOBEX_SYMBOLS )
    file ( APPEND "${OPENOBEX_DEF_FILE}" "${OPENOBEX_SYMBOLS}\n" )
  endif ( MSVC )
endif ( WIN32 )

if ( CYGWIN )
  #also define _WIN32 under CygWin
  list ( APPEND openobex_COMPILE_DEFINITIONS _WIN32)
endif ( CYGWIN )

# Add the openobex library target
add_library ( openobex
  ${SOURCES}
  ${HEADERS}
  ${openobex_PUBLIC_HEADER}
  ${OPENOBEX_RC_FILE}
  ${OPENOBEX_DEF_FILE}
)

target_link_libraries ( openobex
  ${openobex_LIBRARIES}
)
#disable link chaining
set_property(TARGET openobex PROPERTY LINK_INTERFACE_LIBRARIES "")

foreach ( i ${openobex_PROPERTIES} )
  if ( DEFINED openobex_${i} )
    set_property ( TARGET openobex PROPERTY ${i} ${openobex_${i}} )
  endif ( DEFINED openobex_${i} )
endforeach ( i )

set_property ( TARGET openobex PROPERTY
  DEFINE_SYMBOL OPENOBEX_EXPORTS
)

install ( TARGETS openobex
  RUNTIME       DESTINATION bin
  LIBRARY       DESTINATION lib
  ARCHIVE       DESTINATION lib
  PUBLIC_HEADER DESTINATION include/openobex
  COMPONENT library
)

#
# Copy the .pc file to install it only if the lib gets installed
#
add_custom_command ( TARGET openobex
  COMMAND ${CMAKE_COMMAND}
  ARGS    -E copy_if_different ${PROJECT_BINARY_DIR}/openobex.pc
          ${CMAKE_CURRENT_BINARY_DIR}/openobex.pc
  VERBATIM
)
install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/openobex.pc
  DESTINATION ${PKGCONFIG_INSTALL_DIR}
  OPTIONAL
)


#  include ( GetPrerequisites )
#  get_prerequisites ( openobex CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS 0 1 )
include ( InstallRequiredSystemLibraries )

## libopenobex 1.7.1

=== CMakeLists.txt ===
cmake_minimum_required ( VERSION 2.8.5 FATAL_ERROR )

project ( openobex C )

#
# The project version
#
set ( VERSION_MAJOR 1 )
set ( VERSION_MINOR 7 )
set ( VERSION_PATCH 1 )
set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
if ( VERSION_PATCH GREATER 0 )
  set ( VERSION "${VERSION}.${VERSION_PATCH}" )
endif ( VERSION_PATCH GREATER 0 )

#
# The path for our own CMake modules
#
set ( CMAKE_MODULE_PATH
  ${PROJECT_SOURCE_DIR}/CMakeModules
)

#
# Define the default build type
#
set ( CMAKE_CONFIGURATION_TYPES "Release;Debug"
      CACHE STRING "" FORCE )
if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "Build type" FORCE )
endif ( NOT CMAKE_BUILD_TYPE )

include ( MaintainerMode )
include ( GNUInstallDirs )

# This module currently expects C++ to be enabled in CMake-2.8.10.
include ( GenerateExportHeader )
add_compiler_export_flags ( COMPILER_FLAG_VISIBILITY )

#
# define how to build libraries
#
option ( BUILD_SHARED_LIBS "Build shared libraries" ON )

#
# check common compiler flags
#
include ( CheckCCompilerFlag )
if ( CMAKE_COMPILER_IS_GNUCC )
  set ( LINKER_FLAG_NOUNDEFINED -Wl,--no-undefined )
  check_c_compiler_flag ( "${LINKER_FLAG_NOUNDEFINED}" COMPILER_SUPPORT_NOUNDEFINED )
  if ( NOT COMPILER_SUPPORT_NOUNDEFINED )
    set ( LINKER_FLAG_NOUNDEFINED )
  endif ( NOT COMPILER_SUPPORT_NOUNDEFINED )
endif ( CMAKE_COMPILER_IS_GNUCC )

if ( MSVC )
  # Some compiler options for MSVC to not print non-sense warnings.
  add_definitions ( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE )
endif ( MSVC )

#
# which transports shall be included
#
find_package ( Bluetooth )
set ( OPENOBEX_BLUETOOTH_AVAILABLE ${Bluetooth_FOUND} )

find_package ( Irda )
set ( OPENOBEX_IRDA_AVAILABLE ${Irda_FOUND} )

find_package ( LibUSB )
set ( OPENOBEX_USB_AVAILABLE ${LibUSB_FOUND} )

foreach ( transport BLUETOOTH IRDA USB )
  if ( OPENOBEX_${transport}_AVAILABLE )
    set ( OPENOBEX_${transport} ON
          CACHE BOOL "Build with ${transport} support")
  else ( OPENOBEX_${transport}_AVAILABLE )
    set ( OPENOBEX_${transport} OFF
          CACHE BOOL "Build with ${transport} support")
  endif ( OPENOBEX_${transport}_AVAILABLE )
endforeach ( transport )

if ( OPENOBEX_USB )
  if ( LibUSB_VERSION_1.0 )
    add_definitions ( -DHAVE_USB1 )
  endif ( LibUSB_VERSION_1.0 )
  add_definitions ( -DHAVE_USB )
endif ( OPENOBEX_USB )

if ( OPENOBEX_IRDA )
  add_definitions ( -DHAVE_IRDA )
  if ( WIN32 )
    add_definitions ( -DHAVE_IRDA_WINDOWS )
  else ( WIN32 )
    string ( TOUPPER "HAVE_IRDA_${CMAKE_SYSTEM_NAME}" IRDA_SYSTEM_DEFINITION )
    add_definitions ( -D${IRDA_SYSTEM_DEFINITION} )
  endif ( WIN32 )
endif ( OPENOBEX_IRDA )

if ( OPENOBEX_BLUETOOTH )
  add_definitions ( -DHAVE_BLUETOOTH )
  if ( WIN32 )
    add_definitions ( -DHAVE_BLUETOOTH_WINDOWS )
  else ( WIN32 )
    string ( TOUPPER "HAVE_BLUETOOTH_${CMAKE_SYSTEM_NAME}" BLUETOOTH_SYSTEM_DEFINITION )
    add_definitions ( -D${BLUETOOTH_SYSTEM_DEFINITION} )
  endif ( WIN32 )
endif ( OPENOBEX_BLUETOOTH )

#
# create pkg-config files
# these get copied and installed in the library dirs
# TODO: those files should be moved to subdirs for each library
#
set ( prefix      "${CMAKE_INSTALL_PREFIX}" )
set ( exec_prefix "\${prefix}" )
set ( libdir      "\${prefix}/${CMAKE_INSTALL_LIBDIR}" )
set ( includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}" )
set ( top_srcdir   "${CMAKE_SOURCE_DIR}" )
set ( top_builddir "${CMAKE_BINARY_DIR}" )
if ( OPENOBEX_BLUETOOTH AND UNIT AND NOT WIN32 )
  foreach ( lib Bluetooth_LIBRARIES )
    set ( LIBS_PRIVATE "${LIBS_PRIVATE} ${lib}" )
  endforeach ( lib )
endif ( OPENOBEX_BLUETOOTH AND UNIT AND NOT WIN32 )
if ( OPENOBEX_USB AND UNIX AND NOT WIN32 )
  if ( PKGCONFIG_LIBUSB_FOUND )
    if ( LibUSB_VERSION_1.0 )
      set ( REQUIRES "${REQUIRES} libusb-1.0" )
    else ( LibUSB_VERSION_1.0 )
      set ( REQUIRES "${REQUIRES} libusb" )
    endif ( LibUSB_VERSION_1.0 )
  else ( PKGCONFIG_LIBUSB_FOUND )
    foreach ( lib LibUSB_LIBRARIES )
      set ( LIBS_PRIVATE "${LIBS_PRIVATE} ${lib}" )
    endforeach ( lib )
  endif ( PKGCONFIG_LIBUSB_FOUND )
endif ( OPENOBEX_USB AND UNIX AND NOT WIN32 )
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/openobex.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/openobex.pc
  @ONLY
)

if ( NOT PKGCONFIG_INSTALL_DIR )
  set ( PKGCONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig
        CACHE PATH "Where to install .pc files to" FORCE )
endif ( NOT PKGCONFIG_INSTALL_DIR )
mark_as_advanced ( PKGCONFIG_INSTALL_DIR )


#
# process include directory
#
set ( openobex_INCLUDE_DIRS
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_BINARY_DIR}/include"
)
include_directories ( "${openobex_INCLUDE_DIRS}" )
add_subdirectory ( include/openobex )
if ( MSVC )
  include_directories ( AFTER SYSTEM "${CMAKE_CURRENT_SOURCE_DIR}/include/msvc" )
endif ( MSVC )


#
# build the main library
#
add_subdirectory ( lib )
link_directories ( "${CMAKE_CURRENT_BINARY_DIR}/lib" )
if ( BUILD_SHARED_LIBS )
  add_definitions ( -DOPENOBEX_DLL )
endif ( BUILD_SHARED_LIBS )
option ( EXPORT_PACKAGE "Register build directory for find_package" OFF )
if ( EXPORT_PACKAGE )
  export ( PACKAGE OpenObex )
endif ( EXPORT_PACKAGE )

#
# build udev support 
#
add_subdirectory ( udev )

#
# build the applications
#
add_custom_target ( openobex-apps )
add_subdirectory ( apps )


#
# build the documentation
#
option ( BUILD_DOCUMENTATION "Build library and application documentation" ON)
if ( BUILD_DOCUMENTATION )
  add_subdirectory ( doc )
endif ( BUILD_DOCUMENTATION )


#
# The following adds CPack support
#
set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "OpenObex" )
set ( CPACK_PACKAGE_VENDOR "The OpenObex Development Team" )

set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.LIB" )
set ( CPACK_RESOURCE_FILE_README  "${CMAKE_CURRENT_SOURCE_DIR}/README" )

set ( CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}" )
set ( CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}" )
set ( CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}" )
set ( CPACK_PACKAGE_VERSION       "${VERSION}" )

if ( UNIX )
  set ( CPACK_GENERATOR "TGZ" )
  set ( CPACK_SOURCE_GENERATOR "TGZ" )

elseif ( WIN32 )
  #
  # For NSIS, install from http://nsis.sf.net.
  # For ZIP, install e.g. info-zip from http://www.info-zip.org.
  #
  set ( CPACK_GENERATOR "ZIP;NSIS" )
  set ( CPACK_SOURCE_GENERATOR "ZIP" )
endif ( UNIX )
set ( CPACK_SOURCE_IGNORE_FILES
  "/build/"
  "/\\\\.git/"
  "/\\\\.gitignore$"
  "~$"
)

# this must _follow_ the settings!
include ( CPack )

=== apps/CMakeLists.txt ===

add_subdirectory ( lib )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/lib )
add_subdirectory ( obex_test )
add_subdirectory ( ircp )

set ( OPENOBEX_COMMON_APPS
  irxfer
  irobex_palm3
)
set ( OPENOBEX_APPS
  obex_find
)

if ( NOT CMAKE_SYSTEM_NAME STREQUAL "Windows" )
  #obex_tcp uses functions that are only available
  #under Windows7, so we do not compile for now.
  list ( APPEND OPENOBEX_COMMON_APPS obex_tcp )
endif ( NOT CMAKE_SYSTEM_NAME STREQUAL "Windows" )

foreach ( prog ${OPENOBEX_COMMON_APPS} )
  list ( APPEND ${prog}_LIBS openobex-apps-common )
  list ( APPEND OPENOBEX_APPS ${prog} )
endforeach ( prog )

foreach ( prog ${OPENOBEX_APPS} )
  set ( ${prog}_SOURCES ${prog}.c )
  list ( APPEND ${prog}_LIBS openobex )
endforeach ( prog )

if ( WIN32 )
  list ( APPEND obex_tcp_LIBS ws2_32 )
endif ( WIN32 )

foreach ( prog ${OPENOBEX_APPS} )
  add_executable ( ${prog} EXCLUDE_FROM_ALL ${${prog}_SOURCES} )
  target_link_libraries ( ${prog} ${${prog}_LIBS} )
  get_target_property ( ${prog}_EXECUTABLE ${prog} LOCATION )
  install ( PROGRAMS ${${prog}_EXECUTABLE}
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT applications
    OPTIONAL
  )
endforeach ( prog )
add_dependencies ( openobex-apps ${OPENOBEX_APPS} )

=== udev/CMakeLists.txt ===
if ( CMAKE_SYSTEM_NAME STREQUAL "Linux" AND OPENOBEX_USB )
  add_executable ( obex-check-device obex-check-device.c )
  target_link_libraries ( obex-check-device openobex )
  install ( TARGETS obex-check-device
    DESTINATION ${CMAKE_INSTALL_SBINDIR}
    COMPONENT system
  )

  # The udev rules file needs to be configured to have the right
  # path to obex-check-device.
  configure_file ( openobex.rules.in openobex.rules @ONLY )

  # If there is a udev.pc pkg-config file in the system, use it.
  if (NOT CMAKE_INSTALL_UDEVRULESDIR)
    set ( UDEVDIR /lib/udev )
    find_package ( PkgConfig )
    if ( PKG_CONFIG_FOUND )
      pkg_check_modules ( PKGCONFIG_UDEV udev )
      if ( PKGCONFIG_UDEV_FOUND )
	execute_process(
	  COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=udevdir udev
	  OUTPUT_VARIABLE PKGCONFIG_UDEVDIR
	  OUTPUT_STRIP_TRAILING_WHITESPACE
	)
        if ( PKGCONFIG_UDEVDIR )
	  file ( TO_CMAKE_PATH "${PKGCONFIG_UDEVDIR}" UDEVDIR )
        endif ( PKGCONFIG_UDEVDIR )
      endif ( PKGCONFIG_UDEV_FOUND )
    endif ( PKG_CONFIG_FOUND )
  endif (NOT CMAKE_INSTALL_UDEVRULESDIR)
  set ( CMAKE_INSTALL_UDEVRULESDIR ${UDEVDIR}/rules.d
        CACHE PATH "Where to install udev rules" )
  mark_as_advanced ( CMAKE_INSTALL_UDEVRULESDIR )

  install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/openobex.rules
    DESTINATION ${CMAKE_INSTALL_UDEVRULESDIR}
    COMPONENT system
    RENAME 60-openobex.rules
  )
endif ( CMAKE_SYSTEM_NAME STREQUAL "Linux" AND OPENOBEX_USB )

=== include/openobex/CMakeLists.txt ===

configure_file ( version.h.in version.h @ONLY )

set ( HEADER_FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/obex.h
  ${CMAKE_CURRENT_SOURCE_DIR}/obex_const.h
  ${CMAKE_CURRENT_BINARY_DIR}/version.h
)
set ( openobex_PUBLIC_HEADERS "${HEADER_FILES}" PARENT_SCOPE )

install ( FILES
  ${HEADER_FILES}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/openobex
  COMPONENT devel
)

=== debian/changelog ===
libopenobex (1.7.1-5) unstable; urgency=medium

  * Fix build with libc6 2.22. (Closes: #811892) 
  * Bump Standards-Version to 3.9.7.
  * Add field of Vcs-Git and Vcs-Browser.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 04:04:25 +0900

libopenobex (1.7.1-4) unstable; urgency=medium

  * Change Maintainer to myself. (Closes: #745791)
  * Change package name by soname update. (Closes: #810556)
    Change libopenobex1* to libopenobex2*.
  * Remove README.source. This file is unnecessary.
  * Switch to libusb 1.0. (Closes: #810441)
  * Enable CMAKE_VERBOSE_MAKEFILE on CMake.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Jan 2016 13:14:47 +0900

libopenobex (1.7.1-3) unstable; urgency=high

  * QA upload.
  * Enable CXX to prevent FTBFS on ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jan 2016 09:57:54 +0000

libopenobex (1.7.1-2) unstable; urgency=high

  * QA upload.
  * Add missing libxml2-utils build dependency.

 -- Dimitri John Ledkov <xnox@debian.org>  Wed, 06 Jan 2016 16:57:17 +0000

libopenobex (1.7.1-1) unstable; urgency=medium

  * QA upload.
  * Update to 1.7.1 upstream release. Closes: #717459
  * Drop all patches
  * Drop quilty things, and switch to 3.0 (quilt).
  * Drop dh-autoreconf, only cmake is used now.
  * Update website to sourceforge.
  * Automatic dbgsyms package should be generated Closes: #717460

 -- Dimitri John Ledkov <xnox@debian.org>  Wed, 06 Jan 2016 15:28:22 +0000

libopenobex (1.5-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Use the "linux-any" dpkg architecture wildcard instead of a negated list
    of architectures in libbluetooth-dev dependency. (closes: #634793)
  * Add dependency on ${misc:Depends}.
  * Update config.{sub,guess} with dh-autoreconf.
  * Build with hardening flags.
  * Add debian/README.source.

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 May 2015 22:13:09 +0200

libopenobex (1.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix segfault when transferring files, closes: #699740.
  * Update debian/watch, closes: #717458.

 -- Joe Nahmias <jello@debian.org>  Tue, 23 Jul 2013 15:15:37 -0400

libopenobex (1.5-2) unstable; urgency=low

  * Fix Docbook-XML build dependencies to build the application manual pages
  * Replace dh_clean -k with dh_prep call
  * Fix cmake version dependency (closes: #525493)
  * Bump standard revision to 3.8.2.0: no changes required.

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sun, 21 Jun 2009 17:29:41 +0200

libopenobex (1.5-1) unstable; urgency=low

  * New upstream release (closes: #514577)
  * Removed patch files define.patch, compat_defines.path, ircp.path:
      included upstream
  * Rewrote debian/rules to compile using CMake
  * Added CMake >= 2.6 to build-depends
  * Added parallel build option support in debian/rules
  * Bump standard revision to 3.8.0.0: Copied README.source from quilt package
  * Removed debian/manpages/*: included upstream as DocBook XML
  * Add patch: fix version information in toplevel CMakeLists.txt
  * Add patch: Add missing doc/openobex-apps.xml (from upstream git repository)
  * Add patch: fix bluetooth detection in CMakeModules/FindBluetooth.cmake
  * Add patch: fix undefined use of sprintf

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 14 Feb 2009 11:08:49 +0100

libopenobex (1.3+cvs20070425-2) unstable; urgency=low

  * patches/compat_defines.patch: reintroduce defines OBEX_CLIENT and
    OBEX_SERVER (closes: #470441, #470444)

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri, 14 Mar 2008 20:55:35 +0100

libopenobex (1.3+cvs20070425-1) unstable; urgency=low

  * Updated to current CVS (since CVS did not change in 9 months):
      - Adds new TcpOBEX (IPv6 support)
  * Remove patches:
      - docbuild2.patch: not needed anymore
      - pkgconfig.patch: not needed anymore
  * debian/control:
      - use libbluetooth-dev instead of libbluetooth2-dev
      - do not require libbluetooth-dev on kfreebsd-* (closes: #416259)
  * debian/rules: fix cross-build support (closes: #465262)
  * debian/copyright: add proper copyright information
  * debian/openobex-apps.copyright: removed

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Thu, 06 Mar 2008 00:28:42 +0100

libopenobex (1.3-3) unstable; urgency=low

  * do not install the libopenobex.la file, should resolve that sticking
    libusb dependency for packages that depend on libopenobex and use libtool
    (after being rebuilt)
  * use Requires.private instead of Libs.private in .pc file and adapt REQUIRES
    define to not include bluez
  * compile apps without libusb (not needed)
  * debian/control: build depend on automake-1.9, autoconf and libtool
  * debian/rules: run autoreconf where appropriate

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri, 29 Sep 2006 01:03:52 +0200

libopenobex (1.3-2) unstable; urgency=low

  * add pkgconfig.patch: fixes pkg-config output for dynamic linking

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Tue, 26 Sep 2006 23:22:52 +0200

libopenobex (1.3-1) unstable; urgency=low

  * New upstream version
  * Clean up debian/rules
  * Bump standards revision to 3.7.2.0: no changes required.
  * Update build dependencies:
    - update quilt version to 0.45
    - change from libbluetooth1-dev to libbluetooth2-dev, same for Depends field
      of binary package libopenobex1-dev (closes: #376900)
  * Fix quilt inclusion in debian/rules and roperly use quilt stamp file in the
    rules file
  * Remove patches that got applied upstream:
    - rodrigues_irobex_palm3.patch
    - docbuild.patch
    - obex_test.patch
  * Add new docbuild2.patch to fix building of documentation, again, because
    docbook2html fails with XML DOCTYPE declaration
  * Lower dependency from libopenobex1-dev on pkg-config from Depends to Suggests
    (it is a useful tool but the package can be used without it)



=== debian/control ===
Source: libopenobex
Priority: optional
Section: comm
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.0), cmake (>= 2.6.3),
	libbluetooth-dev [linux-any], libusb-1.0-0-dev,
	pkg-config, doxygen, docbook-xml, docbook-xsl,
	xsltproc, libxml2-utils
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/openobex/
Vcs-Git: git://anonscm.debian.org/collab-maint/libopenobex.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libopenobex.git;a=summary

Package: libopenobex2-dev
Section: libdevel
Conflicts: libopenobex-dev
Provides: libopenobex-dev
Breaks: libopenobex1-dev (<< 1.7.1-4)
Architecture: any
Depends: ${misc:Depends}, libopenobex2 (= ${binary:Version}), libbluetooth-dev [linux-any], libusb-1.0-0-dev
Suggests: pkg-config
Description: OBEX protocol library - development files
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.
 .
 This package contains the development files.

Package: libopenobex2
Section: libs
Breaks: libopenobex1 (<< 1.7.1-4)
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: OBEX protocol library
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.

Package: openobex-apps
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ircp
Replaces: ircp
Breaks: openobex-apps (<< 1.7.1-4)
Description: Applications for OpenOBEX
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.
 .
 This package contains some small utilities to control such devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = 
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS_RELEASE = -O0 -g -DNDEBUG $(CFLAGS)
	CFLAGS_DEBUG   = -O0 -g $(CFLAGS)
else
	CFLAGS_RELEASE = -O2 -g -DNDEBUG $(CFLAGS)
	CFLAGS_DEBUG   = -O2 -g $(CFLAGS)
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

BUILD_TYPE = Release
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	BUILD_TYPE = Debug
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

BUILD_FLAGS = -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=$(BUILD_TYPE) \
	      -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS_RELEASE)" -DCMAKE_C_FLAGS_DEBUG="$(CFLAGS_DEBUG)" \
              -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON 
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	BUILD_FLAGS += -DCMAKE_SYSTEM_NAME=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS) \
                       -DCMAKE_SYSTEM_PROCESSOR=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU) \
                       -DCMAKE_C_COMPILER=$(DEB_BUILD_GNU_TYPE)-gcc
endif

debian/build/CMakeCache.txt:
	mkdir -p debian/build
	cd $(CURDIR)/debian/build && \
	  cmake $(BUILD_FLAGS) ../..

debian/build: debian/build/CMakeCache.txt

debian/build-static/CMakeCache.txt:
	mkdir -p debian/build-static
	cd $(CURDIR)/debian/build-static && \
	  cmake -DBUILD_SHARED_LIBS=OFF -DBUILD_DOCUMENTATION=OFF $(BUILD_FLAGS) ../..

debian/build-static: debian/build-static/CMakeCache.txt

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: debian/build debian/build-static
	dh_testdir
	$(MAKE) -C debian/build $(MAKEFLAGS) openobex-apps
	$(MAKE) -C debian/build-static $(MAKEFLAGS) openobex
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: debian/build
	dh_testdir
	$(MAKE) -C debian/build $(MAKEFLAGS) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf debian/build
	rm -rf debian/build-static
	debian/rules unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C debian/build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C debian/build install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/tmp --autodest --fail-missing -X share/doc -X share/man
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install patch unpatch
